Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Client libraries for GGZ gaming zone
Name:    	ggz-client-libs
Version: 	0.0.14
Release: 	1

License: 	LGPLv2+ and GPLv2+
Group:   	System/Libraries
URL: 		http://www.ggzgamingzone.org/
Source: 	http://ftp.belnet.be/packages/ggzgamingzone/ggz/%{version}/ggz-client-libs-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: 	expat-devel
BuildRequires: 	gettext
BuildRequires: 	libggz-devel

%description
GGZ (which is a recursive acronym for GGZ Gaming Zone) develops libraries,
games and game-related applications for client-server online gaming. Player
rankings, game spectators, AI players and a chat bot are part of this effort.

%package devel
Summary: 	Development files for %{name}
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
%description devel
%{summary}.


%prep
%setup -q

%build
%configure \
  --disable-debug \
  --disable-static \
  %{?_enable_ggzwrap} %{?!_enable_ggzwrap:--disable-ggzwrap}

make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

%find_lang ggzcore
%find_lang ggz-config
cat ggz*.lang >> all.lang
 
%{!?_enable_ggzwrap:rm -f %{buildroot}%{_mandir}/man1/ggzwrap.1*}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig 


%clean
rm -rf %{buildroot}


%files -f all.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
# GPLv2+
%{_bindir}/ggz-config
%if 0%{?_enable_ggzwrap:1}
%{_bindir}/ggz
%{_bindir}/ggz-wrapper
%{_libdir}/ggz/
%{_mandir}/man1/ggzwrap.1*
%endif
%{_libdir}/libggzmod.so.*
%{_mandir}/man5/ggz.modules.5*
# LGPLv2+
%{_libdir}/libggzcore.so.*
%{_mandir}/man6/ggz*
%{_mandir}/man7/ggz*
%{_sysconfdir}/xdg/menus/applications-merged/ggz.merge.menu
%{_sysconfdir}/xdg/menus/ggz.menu
%{_datadir}/desktop-directories/ggz*.directory

%files devel
%defattr(-,root,root,-)
# GPLv2+
%{_includedir}/ggzmod.h
%{_libdir}/libggzmod.so
%{_mandir}/man3/ggzmod_h.3*
# LGPLv+
%{_includedir}/ggzcore.h
%{_libdir}/libggzcore.so
%{_mandir}/man3/ggzcore_h.3*
%{_libdir}/lib*.la


%changelog
* Mon Dec 17 2007 Christian Metzen <metzench@ccux-linux.de> 0.0.14-1
- Initial release
